Skip to main content
GET
/
locations
/
{location_id}
/
dump_destinations
/
{dump_destination_id}
Get Dump Destination
curl --request GET \
  --url https://api.crosoftware.com/v0/locations/{location_id}/dump_destinations/{dump_destination_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/locations/{location_id}/dump_destinations/{dump_destination_id}"

headers = {
    "x-tenant-id": "<x-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/locations/{location_id}/dump_destinations/{dump_destination_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "address": {
    "id": 123,
    "latitude": "<string>",
    "line_1": "<string>",
    "line_2": "<string>",
    "line_3": "<string>",
    "line_4": "<string>",
    "locality": "<string>",
    "longitude": "<string>",
    "postcode": "<string>",
    "region": "<string>"
  },
  "contact": {
    "email": "jsmith@example.com",
    "id": 123,
    "name": "<string>",
    "number": "<string>"
  },
  "description": "<string>",
  "id": 123,
  "is_holding_yard": true,
  "location_id": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

location_id
integer<int64>
required

Location identifier.

dump_destination_id
integer<int64>
required

Dump destination identifier.

Response

200 - application/json

Success

Job dump destination profile.

address
object
required

Job dump destination address profile.

contact
object
required

Job dump destination contact profile.

description
string
required

Dump destination description.

id
integer<int64>
required

Dump destination record identifier.

is_holding_yard
boolean
required

Location is holding yard.

location_id
integer<int64>
required

Location identifier.